import DescriptionItem from '@/components/DescriptionItem';
import { Flex } from 'antd';
import React from 'react';
import styles from './index.less';

const LawEnforcement: React.FC = () => {
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #AAFFF6 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN',
    fontSize: '36px',
    fontWeight: 700,
    lineHeight: 1.1,
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    // fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: 1.1,
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    // fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: 1.1,
  };

  return (
    <div className={styles.container}>
      <Flex vertical gap={0}>
        <DescriptionItem
          value={279}
          name="11月行政许可办理"
          unit="件"
          valueStyle={commonValueStyle}
          labelStyle={commonLabelStyle}
          unitStyle={commonUnitStyle}
          decimals={0}
        />
        <Flex justify="space-between" style={{ marginTop: '28px' }}>
          <div>
            <Flex align="center">
              <div className={styles.val}>487</div>
              <div className={styles.unit}>件</div>
              <div className={styles.val}>701.32</div>
              <div className={styles.unit}>万元</div>
            </Flex>
            <div className={styles.label}>11月行政处罚信息公示</div>
          </div>
        </Flex>
      </Flex>
    </div>
  );
};

export default LawEnforcement;
